> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/fr/powershell-commands/get-rdmpersonalcredentials.md).

# Get-RDMPersonalCredentials

### Synopsis

Obtenir la connexion représentant « MyPersonalCredentials ».

### Syntaxe

#### \_\_AllParameterSets

```
Get-RDMPersonalCredentials [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

### Description

Obtenir la connexion représentant « MyPersonalCredentials ». Toutes les informations pertinentes se trouvent dans la propriété Credentials. Sous Windows, la stratégie DisableMyPersonalCredentials empêche l'utilisation de cette applet de commande.

### Exemples

#### Exemple 1

```powershell
PS C:\> $persoCreds = Get-RDMPersonalCredentials
```

Stocker les informations d'identification personnelles dans la variable $persoCreds. Accéder aux valeurs souhaitées dans $persoCreds.Credentials.

#### Exemple 2

```powershell
PS C:\> $perso = Get-RDMPersonalCredentials; $perso.Credentials.SecretServerPassword = (ConvertTo-SecureString -AsPlainText 'aPassword'); $perso.Credentials.SecretServerUsername = 'aPassword'; $perso.Credentials.SecretServerDomain = 'aDomain'; Set-RDMPersonalCredentials -Session $perso
```

Récupérer les informations d'identification personnelles. Modifier le domaine, le mot de passe et le nom d'utilisateur du Secret Server. Enregistrer les modifications. La modification du mot de passe peut être observée dans le changement de valeur du champ SafeSecretServerPassword.

### Paramètres

#### -ForcePromptAnswer

Commutateur à utiliser avec prudence. Il répondra automatiquement aux invites demandant des questions oui/non, oui/non/annuler, ou OK/annuler. En cas d'invites multiples, plusieurs valeurs peuvent être passées à ce paramètre. Voici les valeurs acceptées :

* Yes : Accepter l'invite. Couvre la valeur OK et Automatique.
* No : Refuser l'invite oui/non/annuler. « Cancel » est l'option de repli s'il n'y a pas d'option « No ».
* Cancel : Annuler l'invite oui/non/annuler. « No » est l'option de repli s'il n'y a pas d'option « Cancel ».

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Cette applet de commande prend en charge les paramètres communs : -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction et -WarningVariable. Pour plus d'informations, consultez [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notes

Pour plus d'informations, tapez « Get-Help Get-RDMPersonalCredentials -detailed ». Pour des informations techniques, tapez « Get-Help Get-RDMPersonalCredentials -full ».


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/powershell/fr/powershell-commands/get-rdmpersonalcredentials.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
